Bug 42229 - "eth0:interrupt from stopped card"
"eth0:interrupt from stopped card"
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: kernel-pcmcia-cs (Show other bugs)
7.1
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Arjan van de Ven
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-05-24 23:33 EDT by Need Real Name
Modified: 2007-04-18 12:33 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-06-16 01:42:19 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2001-05-24 23:33:11 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.76 [en] (X11; U; Linux 2.4.2-2 i586)

Description of problem:
During booting. If DLink DE660 inserted, after the process "starting APM",
I get a non-stop output to the screen "eht0:interrupt from stopped
card."........." eth0:interrupt from stopped card." ....... Until I
manually shut down my Toshiba laptop Satellite 2100CDS

How reproducible:
Always

Steps to Reproduce:
1.installed RH linux 7.1 with Dlink DE-660 at card slot 0.
2.netconfig, then ifup eth0
3.Then you will get non-stop message running through the screen
"etho:interrupt from stopped card." Reboot the machine, same thing happens.
	

Actual Results:  ....

Expected Results:  My DE660 NIC was working at RH Linux 6.1

Additional info:

Also refer to the bug 40350.

I eject the NIC, then the error disappear. and I check the
/var/log/messages:

May 24 20:54:44 localhost syslogd 1.4-0: restart.
May 24 20:54:44 localhost syslog: syslogd startup succeeded
May 24 20:54:44 localhost syslog: klogd startup succeeded
May 24 20:54:44 localhost kernel: klogd 1.4-0, log source = /proc/kmsg
started.
May 24 20:54:44 localhost kernel: Inspecting /boot/System.map-2.4.2-2
May 24 20:54:45 localhost portmap: portmap startup succeeded
.....
.....
May 24 20:54:43 localhost network: Bringing up interface lo:  succeeded 
May 24 20:54:48 localhost kernel: Yenta IRQ list 06b8, PCI irq11
May 24 20:54:44 localhost ifup: Delaying eth0 initialization. 
May 24 20:54:48 localhost kernel: Socket status: 30000011
May 24 20:54:44 localhost network: Bringing up interface eth0:  failed 
May 24 20:54:48 localhost kernel: Yenta IRQ list 06b8, PCI irq11
May 24 20:54:48 localhost kernel: Socket status: 30000007
May 24 20:54:48 localhost /etc/hotplug/usb.agent: ... no drivers for USB
product 0/0/0
May 24 20:54:48 localhost pcmcia:  cardmgr.
May 24 20:54:49 localhost rc: Starting pcmcia:  succeeded
May 24 20:54:49 localhost cardmgr[591]: starting, version is 3.1.22
May 24 20:54:49 localhost cardmgr[591]: watching 2 sockets
May 24 20:54:49 localhost kernel: cs: IO port probe 0x0c00-0x0cff: clean.
May 24 20:54:49 localhost kernel: cs: IO port probe 0x0100-0x04ff:
excluding 0x378-0x37f 0x480-0x48f 0x4d0-0x4d7
May 24 20:54:49 localhost kernel: cs: IO port probe 0x0a00-0x0aff: clean.
May 24 20:54:49 localhost cardmgr[591]: initializing socket 0
May 24 20:54:49 localhost kernel: cs: memory probe 0xa0000000-0xa0ffffff:
clean.
May 24 20:54:49 localhost cardmgr[591]: socket 0: D-Link DE-660 Ethernet
May 24 20:54:49 localhost random: Initializing random number generator: 
succeeded
May 24 20:54:49 localhost cardmgr[591]: executing: 'modprobe 8390'
May 24 20:54:49 localhost cardmgr[591]: executing: 'modprobe pcnet_cs'
May 24 20:54:50 localhost cardmgr[591]: executing: './network start eth0'
May 24 20:54:50 localhost kernel: eth0: NE2000 Compatible: io 0x300, irq 3,
hw_addr 00:80:C8:8C:22:A4
May 24 20:54:51 localhost netfs: Mounting other filesystems:  succeeded
May 24 20:54:52 localhost kernel: NET4: Linux IPX 0.46 for NET4.0
May 24 20:54:52 localhost kernel: IPX Portions Copyright (c) 1995 Caldera,
Inc.
May 24 20:54:52 localhost kernel: IPX Portions Copyright (c) 2000, 2001
Conectiva, Inc.
May 24 20:54:52 localhost apmd: apmd startup succeeded
May 24 20:54:52 localhost apmd[662]: Version 3.0final (APM BIOS 1.2, Linux
driver 1.14)
May 24 20:54:52 localhost kernel: NET4: AppleTalk 0.18a for Linux NET4.0
May 24 20:54:52 localhost /etc/hotplug/net.agent: register event not
handled

This is the last line before the problem occurs
Comment 1 Need Real Name 2001-05-26 19:09:52 EDT
Adding "exclude irq 3" to /etc/pcmcia/config.opts solve the problem.
Comment 2 Arjan van de Ven 2001-05-28 05:20:45 EDT
Interesting... do you have a serial mouse by chance ? (as opposed to PS/2 mouse)
Comment 3 Need Real Name 2001-05-28 18:40:30 EDT
No, I do not have a serial mouse on. I am not sure why this method fix this
problem; nonetheless I guess it does not matter whether you have a serial mouse
attached or not. The startup program of pcmcia is scanning throught every
available irq resources except those being excluded at the file
/etc/pcmcia/config.opts. I think, therefore excluding irq 3 from the scanning
process avoiding a conflict between hardware. 

Check here: http://pcmcia-cs.sourceforge.net/ftp/doc/PCMCIA-HOWTO.html

at the section: "Interrupt scan failures"

Another interesting thing. After making my network card working, the ftp service
was still not working. I found that I had to run /usr/sbin/setup to turn on NFS
and wuftp services, also setup network security.
Comment 4 Arjan van de Ven 2001-05-28 18:47:35 EDT
That's a feature, see the release notes.
All services ship default disabled for security; if you want them it's 
simple to turn on...
Comment 5 Need Real Name 2001-06-16 01:42:15 EDT
This report is related to bug report 40350.

Note You need to log in before you can comment on or make changes to this bug.